> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/get-rdmpersonalcredentials.md).

# Get-RDMPersonalCredentials

Get-RDMPersonalCredentials recupera la entrada de conexión que representa las My Personal Credentials del usuario actual en Remote Desktop Manager.

### Sinopsis

Obtener la conexión que representa 'MyPersonalCredentials'.

### Sintaxis

#### \_\_AllParameterSets

```
Get-RDMPersonalCredentials [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

### Descripción

Obtener la conexión que representa 'MyPersonalCredentials'. Toda la información pertinente se encuentra en la propiedad Credentials. En Windows, la política DisableMyPersonalCredentials impide usar este cmdlet.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> $persoCreds = Get-RDMPersonalCredentials
```

Almacenar las credenciales personales en la variable $persoCreds. Acceder a los valores deseados en $persoCreds.Credentials.

#### Ejemplo 2

```powershell
PS C:\> $perso = Get-RDMPersonalCredentials; $perso.Credentials.SecretServerPassword = (ConvertTo-SecureString -AsPlainText 'aPassword'); $perso.Credentials.SecretServerUsername = 'aPassword'; $perso.Credentials.SecretServerDomain = 'aDomain'; Set-RDMPersonalCredentials -Session $perso
```

Obtener las credenciales personales. Modificar los valores de dominio, contraseña y nombre de usuario del Secret Server. Guardar las modificaciones. La modificación de la contraseña puede verse en el cambio de valor del campo SafeSecretServerPassword.

### Parámetros

#### -ForcePromptAnswer

Modificador que debe usarse con precaución. Responderá automáticamente a los mensajes que planteen preguntas de sí/no, sí/no/cancelar u ok/cancelar. En caso de varios mensajes, se pueden pasar varios valores a este parámetro. Estos son los valores aceptados:

* Yes: Aceptar el mensaje. Cubre los valores OK y Automatic.
* No: Rechazar el mensaje de sí/no/cancelar. "Cancel" es la opción alternativa si no existe la opción "No".
* Cancel: Cancelar el mensaje de sí/no/cancelar. "No" es la opción alternativa si no existe la opción "Cancel".

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notas

Para más información, escriba "Get-Help Get-RDMPersonalCredentials -detailed". Para obtener información técnica, escriba "Get-Help Get-RDMPersonalCredentials -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/get-rdmpersonalcredentials.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
